/** Network related interface functions.
 *  @file libgimli.c
 *  
 *  Copyright (C) 2001-2006, INRIA, Universite de Rennes 1, EDF.
 */

#include <errno.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <unistd.h>

#include <kerrighed/types.h>
#include <kerrighed/krgnodemask.h>

#include <kerrighed_tools.h>
#include <comm.h>



/*****************************************************************************/
/*                                                                           */
/*                        KERRIGHED DEVELOPERS FUNCTIONS                     */
/*                                                                           */
/*****************************************************************************/



int gimli_ping_pong(int partner, int size, int loops,
										unsigned long *min,
										unsigned long *max,
										unsigned long *avg)
{
  struct proc_gimli_stats gstats;
  int res;

  gstats.partner = partner ;
  gstats.size = size ;
  gstats.loops = loops ;
  
  res = call_kerrighed_services(KSYS_COMM_PING_PONG, &gstats);

	*min = gstats.min;
	*max = gstats.max;
	*avg = gstats.avg;
	
  return res;
}
